import request from '@/utils/request'

// 查询TmMemberPlatform列表
export function listTmMemberPlatform(query) {
  return request({
    url: '/api/v1/tm-member-platform',
    method: 'get',
    params: query
  })
}

// 查询TmMemberPlatform详细
export function getTmMemberPlatform(id) {
  return request({
    url: '/api/v1/tm-member-platform/' + id,
    method: 'get'
  })
}

// 新增TmMemberPlatform
export function addTmMemberPlatform(data) {
  return request({
    url: '/api/v1/tm-member-platform',
    method: 'post',
    data: data
  })
}

// 修改TmMemberPlatform
export function updateTmMemberPlatform(data) {
  return request({
    url: '/api/v1/tm-member-platform/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除TmMemberPlatform
export function delTmMemberPlatform(data) {
  return request({
    url: '/api/v1/tm-member-platform',
    method: 'delete',
    data: data
  })
}

//修改TmMemberPlatform的字符
export function tmMemberPlatformChangeChar(data){
  return request({
    url: '/api/v1/tm-member-platform/change-chars',
    method: 'post',
    data: data
  })
}